Groovy 1.7.0

## org.codehaus.groovy.runtime
Class GroovyCategorySupport.ThreadCategoryInfo

    java.lang.Object
      java.util.AbstractMap
          java.util.concurrent.ConcurrentHashMap
              org.codehaus.groovy.runtime.GroovyCategorySupport.ThreadCategoryInfo

    class GroovyCategorySupport.ThreadCategoryInfo
    extends ConcurrentHashMap

Field Summary
`int` | `level`

Constructor Summary
`GroovyCategorySupport.ThreadCategoryInfo()`

Method Summary
`CategoryMethodList` | `getCategoryMethods(String name)`
`Object` | `use(List categoryClasses, Closure closure)`

Methods inherited from class ConcurrentHashMap
get, put, clear, contains, isEmpty, replace, replace, entrySet, putAll, size, values, remove, remove, elements, keySet, keys, containsKey, containsValue, putIfAbsent, hashCode, equals, toString, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class AbstractMap
get, put, hashCode, clear, equals, toString, isEmpty, entrySet, putAll, size, values, remove, keySet, containsKey, containsValue, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### level

    int level

Constructor Detail

### GroovyCategorySupport.ThreadCategoryInfo

    GroovyCategorySupport.ThreadCategoryInfo()

Method Detail

### getCategoryMethods

    public CategoryMethodList getCategoryMethods(String name)

### use

    public Object use(List categoryClasses, Closure closure)

Copyright © 2003-2009 The Codehaus. All rights reserved.